Skip to content
This is a new version of the Kivra Developer Docs. Report issues or share feedback at avsandare.support@kivra.se. The previous version can be found here.

Get chains

GET
/dr/v1/chains
curl --request GET \
--url https://sender.sandbox-api.kivra.com/dr/v1/chains

Fetches information on chains connected to a partner.

Access scope

  • PARTNER

Matching

Fetches chains based on partner token

  • partnertoken

Successfully fetched chains

Media typeapplication/json
AllChainsResponse
Array<object>
GetChainResponse
object
chain_id
string
partner_id
string
name
string
vat
string
phone
string
icon_url
string
logo_url
string
greenbin_activated
boolean
retained_activated
boolean
address
object
street1
string
street2
string
street3
string
postalcode
string
city
string
state
string
country
string
Example
[
{
"chain_id": "8a499ffa488cdce401488cf8c5d700cd",
"partner_id": "8a499ffb488d9ca501488dc3fba0005b",
"name": "Test Chain 1",
"vat": "SE123456789009",
"address": {
"street1": "Gatan 1",
"postalcode": "13254",
"city": "One Buying",
"country": "SWE"
},
"icon_url": "https://test.url.net/api/v1/resources/156257243392d65d706e044b56b168c452809d68f6",
"logo_url": "https://test.url.net/api/v1/resources/156257243392d65d706e044b56b168c452809d68f6",
"greenbin_activated": false,
"retained_activated": true
},
{
"chain_id": "8a499ffa488cdce401488cf8c5d700cd",
"partner_id": "8a499ffb488d9ca501488dc3fba0005b",
"name": "Test Chain 2",
"vat": "SE987654321009",
"address": {
"street1": "Gatan 2",
"postalcode": "23456",
"city": "Two Buying",
"country": "SWE"
},
"icon_url": "https://test.url.net/api/v1/resources/156257243392d65d706e044b56b168c452809d68f6",
"logo_url": "https://test.url.net/api/v1/resources/156257243392d65d706e044b56b168c452809d68f6",
"greenbin_activated": true,
"retained_activated": false
}
]

Unauthorized

Media typeapplication/json
ErrorResponse
object
error_code
string
short_message
string
long_message
string
error_detail
Array<string>
Examples
Exampleunauthorized
{
"error_code": "40100",
"short_message": "unauthorized",
"long_message": "permission denied"
}

Not found

Media typeapplication/json
ErrorResponse
object
error_code
string
short_message
string
long_message
string
error_detail
Array<string>
Examples
Exampleresource_not_found
{
"error_code": "40400",
"short_message": "not found",
"long_message": "the requested resource could not be found"
}

Internal server error

Media typeapplication/json
ErrorResponse
object
error_code
string
short_message
string
long_message
string
error_detail
Array<string>
Example
{
"error_code": "50000",
"short_message": "internal server error",
"long_message": "unknown error ocurred"
}